Page MenuHomePhabricator

Clarify or improve several configuration settings messages
Closed, DeclinedPublic

Description

Several issues with the current messages in the Configure extension has been reported on translatewiki.net and more have been found on closer inspection:
https://translatewiki.net/wiki/Thread:Support/About_MediaWiki:Configure-setting-wgCacheVaryCookies/pl
https://translatewiki.net/wiki/Thread:Support/About_MediaWiki:Configure-setting-wgCountTotalSearchHits/pl
https://translatewiki.net/wiki/Thread:Support/About_MediaWiki:Configure-setting-wgDBtestuser/pl
https://translatewiki.net/wiki/Thread:Support/About_MediaWiki:Configure-setting-wgEnableCreativeCommonsRdf/pl
https://translatewiki.net/wiki/Thread:Support/About_MediaWiki:Configure-setting-wgFilterLogTypes/en
https://translatewiki.net/wiki/Thread:Support/About_MediaWiki:Configure-setting-wgInternalServer/pl
https://translatewiki.net/wiki/Thread:Support/About_MediaWiki:Configure-setting-wgMaxSquidPurgeTitles/en
https://translatewiki.net/wiki/Thread:Support/About_MediaWiki:Configure-setting-wgPoolCounterConf/pl
https://translatewiki.net/wiki/Thread:Support/About_MediaWiki:Configure-setting-wgUserrightsInterwikiDelimiter/pl

The extension mostly pulled the settings summaries from the wiki, with some adaptations, and this is enough of a task; Matma Rex produced a script to compare wiki and extension and align them, but it seems that can't be done automatically, so the patch was abandoned.
http://pastebin.com/ccyvcZWL
https://gerrit.wikimedia.org/r/#/c/40290/

Someone else may want to follow another approach, but as translating these messages is a lot of work (dozens thousands translations across all languages) in a way or another they have to be improved, or if there is no clear future for this extension it should be removed from translation.

(Personally I'd work on this if T45380 was fixed because then the translations would become very valuable, but maybe someone still cares about the extension too.)


Version: master
Severity: normal
See Also:
T45380: Bring settings translations on mediawiki.org: dummy install of Configure extension

Details

Reference
bz52224

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 2:00 AM
bzimport set Reference to bz52224.
Nemo_bis created this task.Jul 29 2013, 3:20 PM

Adding many blockers of bug 38638 to the list of "easy" bugs, to mark them as candidates for [[mw:Google Code-in]] tasks (gci2013). If you think this bug is not suitable, remove the keyword.

Aklapper removed IAlex as the assignee of this task.Jan 22 2015, 2:09 AM
Aklapper lowered the priority of this task from Normal to Lowest.
Aklapper added a subscriber: Aklapper.

[Setting open "Configure" extension bug reports to a lower priority to reflect reality && resetting assignee to nobody (Bugzilla required a default assignee but in Phabricator the extension maintainer is listed as a watcher of the product anyway and will receive notifications)]

Rits added a subscriber: Rits.Mar 4 2015, 7:28 PM
jrbs added a subscriber: jrbs.
MaxSem closed this task as Declined.Mar 20 2019, 10:01 PM
MaxSem added a subscriber: MaxSem.

Per T185227: Sunset/archive Configure extension?, this extension is getting archived.